> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search hidden children subnets

> Returns hidden children subnets for market service



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/market/services/{ipmarketServiceUUID}/ipv4/hidden/children
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/services/{ipmarketServiceUUID}/ipv4/hidden/children:
    get:
      tags:
        - Market
      summary: Search hidden children subnets
      description: Returns hidden children subnets for market service
      operationId: API-Pub-Market-IPV4-Hidden-Children
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: ipmarketServiceUUID
          in: path
          description: IPMarket Service UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: mask
          in: query
          description: Filter by mask
          schema:
            type: integer
        - name: address
          in: query
          description: Filter by address
          schema:
            type: string
        - name: page
          in: query
          description: List Page
          schema:
            type: integer
            default: 1
        - name: per_page
          in: query
          description: Items Per Page
          schema:
            type: integer
            default: 15
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.IPMarket.HiddenIPV4ChildResource
              example:
                address: string
                mask: 0
                price: 0
                associated_subnets:
                  - string
                hiding_reason: string
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Resources.IPMarket.HiddenIPV4ChildResource:
      type: object
      properties:
        address:
          type: string
        mask:
          type: integer
        price:
          type: number
          format: float
        associated_subnets:
          type: array
          items:
            type: string
        hiding_reason:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````